Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.security.owsrequestvalidator.wms
Class AbstractWMSRequestValidator

    java.lang.Object
      org.deegree.security.owsrequestvalidator.RequestValidator
          org.deegree.security.owsrequestvalidator.wms.AbstractWMSRequestValidator

Direct Known Subclasses:
  GetLegendGraphicRequestValidator, GetMapRequestValidator

    abstract class AbstractWMSRequestValidator

extends RequestValidator

Version:
  $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Andreas Poth , last edited by: $Author: mschneider $

Field Summary

Fields inherited from class org.deegree.security.owsrequestvalidator.RequestValidator
`gpv, policy, securityConfig, userCoupled`

Constructor Summary
`AbstractWMSRequestValidator(Policy policy)`

Method Summary
`protected void` | `validateFormat(Condition condition, String format)` checks if the passed format is valid against the formats defined in the policy.
`protected void` | `validateMaxHeight(Condition condition, int height)` checks if the passed height is > 0 and if it's valid against the maxHeight defined in the policy.
`protected void` | `validateMaxWidth(Condition condition, int width)` checks if the passed width is > 0 and if it's valid against the maxWidth defined in the policy.

Methods inherited from class org.deegree.security.owsrequestvalidator.RequestValidator
`getPolicy, handleUserCoupledRules, setPolicy, validateExceptions, validateRequest, validateVersion`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractWMSRequestValidator

    public AbstractWMSRequestValidator(Policy policy)

Parameters:
  `policy` -

Method Detail

### validateFormat

    protected void validateFormat(Condition condition,
                                  String format)
                           throws InvalidParameterValueException

  checks if the passed format is valid against the formats defined in the policy. If `user != `null` the valid formats will be read from the user/rights repository

  `
  Parameters:
    `condition` - condition containing the definition of the valid format
    `format` -
  Throws:
    `InvalidParameterValueException`

### validateMaxWidth

    protected void validateMaxWidth(Condition condition,
                                    int width)
                             throws InvalidParameterValueException

  checks if the passed width is > 0 and if it's valid against the maxWidth defined in the policy. If `user != `null` the valid width will be read from the user/rights repository

  `
  Parameters:
    `condition` - condition containing the definition of the valid width
    `width` -
  Throws:
    `InvalidParameterValueException`

### validateMaxHeight

    protected void validateMaxHeight(Condition condition,
                                     int height)
                              throws InvalidParameterValueException

  checks if the passed height is > 0 and if it's valid against the maxHeight defined in the policy. If `user != `null` the valid height will be read from the user/rights repository

  `
  Parameters:
    `condition` - condition containing the definition of the valid height
    `height` -
  Throws:
    `InvalidParameterValueException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org